CHANGES.txt for Tux Paint Stamps

Tux Paint - A simple drawing program for children.
This is a collection of 'rubber stamp' images for Tux Paint.

Copyright 2002-2025 by various contributors; see CONTRIBUTORS.txt
https://tuxpaint.org/

2025.May.26
------------
 * Localization updates:
   ---------------------
   * German translation
     Holger Wansing <hwansing@mailbox.org>
     (via bugs.debian.org; h/t Jonathan Carter for pointing them out)

   * Swedish translation
     Daniel Nylander <po@danielnylander.se>

2024.October.17
---------------
 * Updated stamps:
   ---------------
   * Solar System (previously "Planets")
     + The Sun
       Public domain, from NASA's Solar Dynamics Observatory
       https://commons.wikimedia.org/wiki/File:The_Sun_by_the_Atmospheric_Imaging_Assembly_of_NASA%27s_Solar_Dynamics_Observatory_-_20100819.jpg
       (http://sdo.gsfc.nasa.gov/assets/img/browse/2010/08/19/20100819_003221_4096_0304.jpg)

     + Mercury
       Public domain, from NASA MESSENGER mission
       https://en.wikipedia.org/wiki/Mercury_(planet)#/media/File:Mercury_in_true_color.jpg
       https://photojournal.jpl.nasa.gov/catalog/PIA11364

     + Venus
       Public domain, from NASA Mariner 10 mission
       https://photojournal.jpl.nasa.gov/catalog/PIA23791

     + Earth
       Public domain, "Blue Marble" photo (1972) from NASA Apollo 17 mission
       https://en.wikipedia.org/wiki/The_Blue_Marble#/media/File:The_Earth_seen_from_Apollo_17.jpg
       https://www.nasa.gov/image-article/earth-full-view-from-apollo-17/
       https://explorer1.jpl.nasa.gov/galleries/earth-from-space/

     + Mars
       Creative Commons Attribution 2.0 Generic (CC BY 2.0)
       by Kevin Gill <https://www.flickr.com/people/53460575@N03>
       https://en.wikipedia.org/wiki/Mars#/media/File:Mars_-_August_30_2021_-_Flickr_-_Kevin_M._Gill.png

     + Jupiter
       Public domain
       https://en.wikipedia.org/wiki/Jupiter#/media/File:Jupiter_Earth_Moon_Comparison.png

     + Saturn
       Public domain, from NASA Cassini-Huygens mission
       https://en.wikipedia.org/wiki/Saturn#/media/File:Saturn_during_Equinox.jpg
       https://photojournal.jpl.nasa.gov/catalog/PIA11141

     + Uranus
       Creative Commons Attribution 2.0 Generic, NASA Hubble
       https://commons.wikimedia.org/wiki/File:Uranus_with_Rings.jpg
       (https://www.flickr.com/photos/144614754@N02/31711735557/)

     + Pluto & Charon [dwarf planet system]
       Public domain, from NASA New Horizons mission
       https://photojournal.jpl.nasa.gov/catalog/PIA19717

     + Closes https://sourceforge.net/p/tuxpaint/tasks/34/
       Bill Kendrick <bill@newbreedsoftware.com>

   * Moved rabbit stamps from "rodents" to new "lagomorphs" directory.

   * Replaced rabbit sound effect
     Based on "20091122.rabbit.carrot.flac"
     <https://freesound.org/people/dobroide/sounds/84141/>,
     Creative Commons Attribution 4.0 (CC BY 4.0)
     by "dobroide" <https://freesound.org/people/dobroide/>
     (h/t Kimmie B. for pointing out previous sfx was a rabbit
     in distress)

 * Localization updates:
   ---------------------
     + French
       Jacques Chion <jacques.chion@orange.fr>

     + Japanese
       TOYAMA Shin-ichi <dolphin6k@wmail.plala.or.jp>

 * Ports & Building
   ----------------
     + Windows build ISS file no longer has version hard-coded;
       it comes from `VER_DATE` in `Makefile` (just like RPM
       SPEC file does).
       Bill Kendrick <bill@newbreedsoftware.com>

2024.July.17
 * Localization updates:
   ---------------------
     + French
       Jacques Chion <jacques.chion@orange.fr>

     + Japanese
       TOYAMA Shin-ichi <dolphin6k@wmail.plala.or.jp>

2024.January.26
 * Updated stamps:
   ---------------
   * Neptune (replaced false-color with ture-color calibrated)
     Creative Commons CC0 1.0 DEED by Ardenau4 @ Wikipedia / zelario12 @ Flickr
     (https://www.flickr.com/people/197038812@N04/)
     + Source: https://en.wikipedia.org/wiki/Neptune#/media/File:Neptune_Voyager2_color_calibrated.png
       Based on: Irwin, Patrick G J (2023-12-23). "Modelling the seasonal
       cycle of Uranus’s colour and magnitude, and comparison with Neptune"
       (https://academic.oup.com/mnras/article/527/4/11521/7511973)
       using photos taken by NASA's Voyager 2 probe on 1989-08-17

   * Updated most planet descriptions a little.
     Bill Kendrick <bill@newbreedsoftware.com>

 * Localization updates:
   ---------------------
   * Description translation text:
     + Albanian
       Besnik Bleta <besnik@programeshqip.org>

     + Bulgarian
       Vankata453 <https://sourceforge.net/u/vankata453>

     + French
       Jacques Chion <jacques.chion@orange.fr>

     + Norwegian Nynorsk
       Karl Ove Hufthammer <karl@huftis.org>

     + Portuguese
       Hugo Carvalho <hugokarvalho@hotmail.com>

   * Descriptive translation sounds:
     + Norwegian Nynorsk descriptive sounds
       [see notes from 2023.April.2, below]
       Karl Ove Hufthammer <karl@huftis.org>

 * Ports & Building
   ----------------
   * Moved SVG & PNG optimizing scripts (used as one-offs
     by developers) and file-permission-fixing script
     (used as part of Makefile's "install-*" targets) into
     a "tools" subdirectory.  (Also, added some info to the
     optimizing scripts.)
     Bill Kendrick <bill@newbreedsoftware.com>

   * New tool to convert SVGs to PNGs, to provide alternates
     when SVG files are not supported by Tux Paint.
     (Uses ImageMagick `convert`; avoids Inkscape via a
     wrapper script, like we do in Tux Paint repo.)
     Bill Kendrick <bill@newbreedsoftware.com>

 * Other improvements:
   -------------------
   * Generated PNG alternatives of all SVG stamps, for
     situations where Tux Paint is built without SVG support.
     Bill Kendrick <bill@newbreedsoftware.com>

   * Reduced size sound effects by 140MB.
     + Converted all stereo descriptive sounds to mono, both to save space
       and to improve sounds which only had audio recorded in one channel.
     + Converted all sounds that were > 32,000bps to 32,000bps
     + Added a trio of shell scripts that do the above (and can be used
       again later against new sound files).
     Bill Kendrick <bill@newbreedsoftware.com>
     Motivation: https://sourceforge.net/p/tuxpaint/bugs/284/
     & discussion w/ Pere & Terrence re: Google Play app size limit

2023.July.20
 * Localization updates:
   ---------------------
   * Description translation text:
     + Icelandic
       Sveinn í Felli <sv1@fellsnet.is>

     + Norwegian Nynorsk translation
       Karl Ove Hufthammer <karl@huftis.org>

   * Descriptive translation sounds:
     + Norwegian Nynorsk descriptive sounds
       [see notes from 2023.April.2, below]
       Karl Ove Hufthammer <karl@huftis.org>

2023.May.19
 * Localization updates:
   ---------------------
   * Description translation text:
     + Chinese (Simplified)
       臧传明 <qdeduos@163.com>

     + Icelandic
       Sveinn í Felli <sv1@fellsnet.is>

 * Ports & Building
   ----------------
   * "releaseclean" Makefile target now also deletes Android "stamps.zip"
     (which is generated by "build_for_android.sh" script), otherwise
     it gets rolled into the .tar.gz tarball during "make release" step!
     Bill Kendrick <bill@newbreedsoftware.com>

2023.April.2
 * Localization updates:
   ---------------------
   * Description translation text:
     + Albanian
       Besnik Bleta <besnik@programeshqip.org>

     + Bulgarian
       Vankata453 <https://sourceforge.net/u/vankata453>

     + Catalan translation
       Pere Pujal i Carabantes <perepujal@gmail.com>

     + Czech
       Jozef Říha <jose1711@gmail.com>

     + Georgian translation
       Gia Shervashidze <giasher@gmail.com>

     + Gujarati
       Kartik Mistry <kartik.mistry@gmail.com>

     + Irish Gaelic
       Kevin Patrick Scannell <kscanne@gmail.com>

     + Japanese
       TOYAMA Shin-ichi <dolphin6k@wmail.plala.or.jp>

     + Norwegian Bokmål translation
       Karl Ove Hufthammer <karl@huftis.org>

     + Norwegian Nynorsk translation
       Karl Ove Hufthammer <karl@huftis.org>

     + Portuguese
       Hugo Carvalho <hugokarvalho@hotmail.com>

     + Slovak
       Jozef Říha <jose1711@gmail.com>

     + Ukrainian
       Yuri Chornoivan <yurchor@ukr.net>

   * Descriptive translation sounds:
     + Norwegian Nynorsk descriptive sounds
       CereProc's CereVoice Cloud text-to-speech service
       <https://www.cereproc.com/> (Voice: Hulda-CereWave)
       - Creation, pronunciation adjustments, and QA by
         by Karl Ove Hufthammer <karl@huftis.org> 
       - "I have gotten confirmation from CereProc that it is OK to
         distribute the resulting speech files under a free license."

   * Removed redundant PO file comments
     Karl Ove Hufthammer <karl@huftis.org>

 * Ports & Building
   ----------------
   * Windows installer will no longer show a dialogue to inform
     user of uninstallation when "/VERYSILENT" switch is specified
     (useful for automated installation/uninstallation processes).
     TOYAMA Shin-ichi <dolphin6k@wmail.plala.or.jp>

   * The macOS build is now universal between Intel and Apple Silicon.
     Requires at least Xcode 12.
     (This required rewriting almost the entirety of the macOS port due
     to the age of the code and its compatibility issues with the newer
     version of Xcode required to support Apple Silicon. Until this
     now we had been releasing newer version of the Tux Paint Stamps
     Installer by building it with Xcode 7.2.1 on macOS 10.10 Yosemite.)
     Mark Kim <markuskimius@gmail.com>

   * The macOS build now offers the ability to choose which categories
     of stamps to install.
     Mark Kim <markuskimius@gmail.com>

   * The macOS build no longer uses the `--openfolder` option when calling
     `bless` from Apple Silicon.  This option is no longer valid on Apple
     Silicon as of the March 2022 release of Xcode.
     Mark Kim <markuskimius@gmail.com>

   * Updated Python scripts that manage the gettext POT and PO catalogs
     and generate the ".txt" description files, to work under Python 3.
     Bill Kendrick <bill@newbreedsoftware.com>

 * Other improvements:
   -------------------
   * Reduced size of some PNGs (using `pngout` to optimize them).
     Bill Kendrick <bill@newbreedsoftware.com>

2021.November.25
 * Localization updates:
   * Lithuanian alphabet sounds
     From Schoolsplay <http://www.schoolsplay.org/>
     Curated and prepared for Tux Paint
     by Caroline Ford <caroline.ford.work@googlemail.com>.
     (Closes https://sourceforge.net/p/tuxpaint/tasks/13/)

   * Description translations:
     + Portuguese
       Hugo Carvalho <hugokarvalho@hotmail.com>

 * Other improvements:
   * Added small manual script to clean & compress SVG
     stamps using the "scour" tool.

   * Shrunk/optimized SVG stamps.

2021.June.28
  * Updated Translations:
    + Albanian
      Besnik Bleta <besnik@programeshqip.org>

2020.December.27
  * Build- and release-related improvements:
    + Small Android app to download stamps
      [Work in progress]
      Pere Pujal i Carabantes <pere@fornol.no-ip.org>

    + Windows Stamps installer localization definition.
      TOYAMA Shin-ichi <dolphin6k@wmail.plala.or.jp>

    + Correctly linking License and Readme docs in
      Window Start menu.
      TOYAMA Shin-ichi <dolphin6k@wmail.plala.or.jp>

    + Getting PO<->TXT scripts to sort output into the POT message catalog
      based on filenames (rather than the original text found in the "msgid"),
      to make it easier to work through translations on a per-category basis.
      (That is, things will appear less mixed-up, e.g., "A bassoon"
      (musical instrument), "A bat" (Halloween), "A bear" (mammals), etc.)

  * Localization updates:
    + Reordered _all_ PO files to record messages by stamp filename order
      (as now seen in the "tuxpaint-stamps.pot" message catalog),
      rather than by "msgid" (original English description -- which was via
      "msgmerge --sort-output ..." we were doing before; see above).

    + Icelandic translation
      Sveinn í Felli <sv1@fellsnet.is>

    + Galician translation
      Miguel Bouzada <mbouzada@gmail.com>

2020.May.29
  * Stamp updates:
    + Gift/present rework:
      + Removed tiny old "gift" images.
      + Removed all but one of the "present..." images; simply
        made it tint-able.
    + Heart rework:
      + Removed tiny old "heart" image.
      + Removed all but one of the "heart..." images; simply
        made it tint-able.

  * Localization updates:
    + Galician translation
      Miguel Bouzada <mbouzada@gmail.com>

    + Catalan translation
      Pere Pujal i Carabantes <pere@fornol.no-ip.org>

    + French translation
      Jacques Chion <jacques.chion@orange.fr>

    + Norwegian Bokmål translation
      Karl Ove Hufthammer <karl@huftis.org>

    + Norwegian Nynorsk translation
      Karl Ove Hufthammer <karl@huftis.org>

    + Valencian
      Pilar Embid Giner <embid_mar@gva.es>
      via Pere Pujal i Carabantes <pere@fornol.no-ip.org>

  * Build- and release-related improvements:
    + Packaging script for Android
      - Creates individual, mostly non-locale-specific ZIP files
        for each set of stamp categories (imagery, sound effects,
        and text descriptions), plus each spoken descriptive sounds
        on a per-stamp category, per-language/locale basis.
      - These files will then live on a server somewhere, and a
        small Android app. will be provided that can fetch whichever
        collections the user wants.  XML files defining the selection
        UI and available resource files are generated as part of this
        shell script.
      - by Pere Pujal i Carabantes <pere@fornol.no-ip.org>
      - clean-up & commit by Bill Kendrick <bill@newbreedsoftware.com>

2018.September.1
  * Stamp updates
    * Removed white background from globe
      Thanks to @568legos on Twitter for noticing

  * Build- and release-related improvements:
    * Update macOS build to work with Xcode 9.2.
      Mark K. Kim <markuskimius@gmail.com>

    * Enable universal build on macOS
      + Explicitly enable compatibility with macOS 10.6 and later.
      + Explicitly enable universal build (both 32-bit and 64-bit Intel).
      Mark K. Kim <markuskimius@gmail.com>

    * Update Makefile to create DMG files; prettify the generated DMG.
      Mark K. Kim <markuskimius@gmail.com>

  * New localizations:
    + Kabyle translation
      Yacine Bouklif <yacine_tizi2003@yahoo.fr>

  * Localization updates:
    + Aragones translation
      Juan Pablo Martinez Cortes <juanpabl@gmail.com>

    + Basque translation
      Alexander Gabillondo <alexgabilondo@gmail.com>

    + Brazilian Portuguese translation
      Fred Maranhão <fred.maranhao@gmail.com>

    + British English
      Caroline Ford <caroline.ford.work@googlemail.com>

    + Catalan translation
      Robert Buj Gelonch <rbuj@users.sf.net>

    + Chinese (Simplified) translation
      Hackergene <hackergene@gmail.com>

    + Croatian translation
      Paulo Pavačić <pavacic.p@gmail.com>

    + Danish translation
      Joe Hansen <joedalton2@yahoo.dk>

    + Dutch translation
      Willem Heppe <heppew@yahoo.com>

    + Fula translation
      Ibraahiima SAAR <ibrahima.sarr@pulaagu.com>

    + Gaelic (Scottish) translation
      GunChleoc <fios@foramnagaidhlig.net>

    + Galician translation
      Miguel Anxo Bouzada <mbouzada@gmail.com>

    + Georgian translation
      Gia Shervashidze <giasher@gmail.com>

    + German translation
      Helge Kreutzmann <debian@helgefjell.de>

    + Greek translation
      Yannis Kaskamanidis <kiolalis@gmail.com>

    + Gujarati translation
      Kartik Mistry <kartik.mistry@gmail.com>

    + Icelandic translation
      Sveinn í Felli <sv1@fellsnet.is>

    * Irish Gaelic translation
      Kevin Patrick Scannell <kscanne@gmail.com>

    * Japanese translation
      TOYAMA Shin-ichi <dolphin6k@wmail.plala.or.jp>

    + Malay traslation
      abuyop <abuyop@gmail.com>

    + Norwegian Bokmål translation
      Karl Ove Hufthammer <karl@huftis.org>

    + Norwegian Nynorsk translation
      Karl Ove Hufthammer <karl@huftis.org>

    + Polish translation
      Piotr Kwiliński <euvcp@hotmail.com>

    + Portuguese translation
      Sergio Marques <smarquespt@gmail.com>

    + Russian translation
      Yuri Kozlov <yuray@komyakino.ru>

    + Songhay translation
      Abdoul Cisse <abdoulseydou@hotmail.com>

    + Slovenian translation
      Matej Urbančič <mateju@svn.gnome.org>

    + Spanish translation
      Matías Bellone <matiasbellone+debian@gmail.com>

    + Swedish translation
      Sebastian Rasmussen <sebras@gmail.com>

    + Thai translation
      aliza <aimon_bokbok@hotmail.com>
      Nudjaree <poonim_p@hotmail.com>

    + Ukrainian translation
      yurchor <yurchor@ukr.net>
      Sugar Labs i18n team <https://translate.sugarlabs.org/accounts/yurchor/>

2014.August.13
  * New stamps
    + compact_disc.svg
    + camera.svg
    + inkjet_printer.svg
    + laser_printer.svg
    + bee.svg
    + loaf_of_bread.svg
    + bread.svg
    + girl_in_wheelchair.svg
    + man_in_suit.svg

    The Open Clipart Library http://www.openclipart.org/
    Curated by Steve Karg <steve@kargs.net>
    
    + calculator.svg
    + laptop.svg
    + mobile.svg
    + monitor.svg
    + mouse.svg
    + phone.svg

    Nicu's Clipart Collection http://nicubunu.ro/clipart/    
    Curated by Steve Karg <steve@kargs.net>

    + glasses1.svg
    + glasses2.svg
    + sportscar3.svg 
    + bottle.svg 
    + hammer2.svg 
    + screwdriver.svg 
    + digitalthermometer.svg 
    + recyclingbox.svg
    + recyclingbox2.svg 
    + sportscar.svg 
    + monarchbutterfly.svg 
    + mercurythermometer.png
    + Pencil.svg
    + biro.svg
    + Washing-machine.svg
    + trash_can.svg
    + fridge.svg
    + microwave.svg
    + globe.svg
    + smallcake.svg
    + wizardhat.svg
    + mortarboard.svg
    + brownhat.svg
    + greenhat.svg
    + brownhat2.svg
    + cowboy_hat.svg
    + purplehat.svg
    + santahat2.svg
    + bellbottoms.svg
    + clothes_iron.svg
    + crown1.svg
    + crown2.svg
    + bowtie.svg
    + clotheshanger.svg
    + bluejeans1.svg
    + bluejeans2.svg
    + jacket.svg
    + bikini.svg
    + top_skirt.svg
    + red_handbag.svg
    + red_highheel.svg
    + hikingboot.svg
    + ballpointpen.svg
    + guitar2.png
    + t_baseballcap.png
    + t_glove.png
    + t_jacket.png
    + t_pants.png
    + t_poloshirt.png
    + t_scarf.png
    + t_shirt.png
    + t_sock.png
    + t_tshirt.png
    + present_red.svg
    + present_gold.svg
    + present_green.svg
    + present_chocolate.svg
    + present_chocolate.svg
    + elfhat.svg
    + bikewheel.svg
    + heart_red.svg
    + heart_pink.svg
    + heart_gold.svg
    + wig.svg
    + wig2.svg
    + wig3.svg
    + eye_blue_left.svg
    + eye_brown_left.svg
    + eye_green_left.svg
    + eye2_drawing.svg
    + manga_eye_left.svg
    + manga_eye_right.svg
    + hair_manga.svg
    + hair_manga_2.svg
    + head_female.svg
    + black_dress.svg
    + spoon.svg
    + fork.svg
    + hardhat.svg
    + cherries2.svg 
    + forklift2.svg
    + bluebike.svg
    + tractor.svg
    + isobus.svg
    + isofireengine.svg
    + isolorry1.svg
    + isolorry2.svg
    + isolorry3.svg
    + isolorry4.svg
    + umbrella.svg 
    + painttube.svg
    + tyre_with_rim.svg
    + schoolbus.svg
    + blue_truck.svg
    + toy_truck.svg
    + sail_boat1.svg
    + sail_boat2.svg
    + f1_car.svg
    + motorbike.svg
    + white_train.svg
    + moustache.svg
    + kite.svg
    + toyrocket.svg
    + blankroadsign.svg
    + fork.svg
    + knife.svg
    + spoon.svg
    + coffeecup.svg
    + kitten.svg
    + cheetah.svg
    + zebra2.svg
    + eye_yellow.svg
    + white_pants.svg
    + snowman.svg
    + snowman2.svg
    + sledge.svg
    + snowflake.svg
    + leafrake.svg
    + elfhat.svg
    + mustang.svg
    + plane.svg
    + violin2.svg
    + rudolf_reindeer.svg
    + digitalcamera.svg
    + DSLR_Camera.svg
    + tealight.svg
    + clock.svg
    + stopwatch.svg
    + bullet.svg
    + longsword.svg
    + guitar_electric_bass_2.svg
    + pencil2.svg
    + girlface.svg
    + swallow.svg
   
    The Open Clipart Library http://www.openclipart.org/
    Curated by Caroline Ford <caroline.ford.work@googlemail.com>

  * garbagetruck.png
    daffodil.png
    spade.png
    cylinder.png
    cementmixer.png
    wheel_tractor.png
    rocket1.svg
    rocket2.svg
    rocket3.svg
    rocket4.svg
    rocket5.svg
    satellite.svg

    by Caroline Ford <caroline.ford.work@googlemail.com>

  * New Stamps from the VHSS Irimpanam school in Kerala, India
    via Vimal Joseph <vimaljoseph@gmail.com> 
    Creative Commons BY-SA 3.0
    + adeenia.png
    + anthoorium.png
    + appooppanthady.png
    + bolsom.png
    + chemparathi.png
    + chuvanna_plastic_poo.png

  * vehicles/construction/cartoon/bulldozer
    by Steve Karg <steve@kargs.net> 
    Modified from the Open Clipart Library
    http://www.openclipart.org/

  * Money symbols (dollar, euro, yen, pound)
    Bill Kendrick, using Inkscape

  * Bird stamps:
    + Pelican
    + Great Blue Heron (x2)
    Photographed by Erinn Lynch <elynchsb yahoo com>
    Donated to Tux Paint under Creative Commons By-SA 2.5
    Prepared for Tux Paint by Bill Kendrick

  * Cheese stamp
    Donated to Tux Paint under the terms of the GPL license. 
    by Wolfgang Silbermayr <wolfgang.silbermayr gmail com>.
    Curated by Steve Karg <steve@kargs.net>

  * Helmeted Guineafowl
    Photographed by Paul venter
    http://en.wikipedia.org/wiki/File:Helmeted_guineafowl_kruger00.jpg
    (old image we had from SF Zoo was actually a Crowned Crane;
    thanks to the McDonald family for pointing this out)
    (GNU Free Documentation License (GFDL) (no invariant sections))

  * New stamps from GCI students
    Anna Bujak
    + eiffel_tower.png
    + eye.png
    + hedgehog.png
    + ladybug2.png
    + mermaid.png
    + pengwin.png
    + penguin_with_spider.png
    + pizza.png
    + snail2.png
    + snowman.png
    + spider_football.png
    + spider_computer.png
    + spider_fly.png
    + teddy_bear.png
    + wings.png

    Ivana
    + button.png
    + Santa.png
    + tooth.png
    + Ivana also provided the serbian translation for the 3 stamps above.

  * New sounds
    + bottle.ogg
    + electric kettle sound
    + glass sound
    + vacuum cleaner sound
    + washing machine sound
    Caroline Ford <caroline.ford.work@googlemail.com>
    (GNU Free Documentation License (GFDL) (no invariant sections),
    Creative Commons BY-SA and the GNU General Public License.)

  * Corrections
    + Moved F22 Raptor and Paratrooper to from vehicles/flight to military.
      Per TODO.txt request.
    Steve Karg <steve@kargs.net>

    + Hoverfly was being used as a bee; mosquito sound used for a fly. Fixed.
      (SF.net Bug #2974790)
    Steve Karg <steve@kargs.net>
    Bill Kendrick <bill@newbreedsoftware.com>

  * New localizations
    + Acholi translation
      A Kenneth <akogwal@gmail.com>

    + Akan translation
      Derrick Frimpong <flexyflame2006@yahoo.com>

    + Amharic translation
      Solomon Gizaw <solohavi@yahoo.com>
      http://pootle.locamotion.org/am/tuxpaint/

    + Aragones translation
      Juan Pablo Martinez Cortes <jpmart@unizar.es>

    + Armenian translation
      Anush MKRTCHYAN
      Jasmine Udea

    + Bulgarian translation
      Krasimir Petkov, <wtfn00bz@ymail.com> as a work in Google Code-In
      Descriptive sounds Krasimir Petkov

    + Fula translation
      Fula Localization Project, http://www.pulaar-fulfulde.org/
      Ibraahiima SAAR <ibrahima.sarr@pulaagu.com>

    + Hindi
      Aki <akash.nawani@gmail.com> as a work in Google Code-In

    + Inuktitut
      Harvey Ginter <harveyginter@gmail.com>

    + Malayalam
      Haris Ibrahim K. V. <blucalvin@gmail.com>
      Sharan Narayan <sharan.nyn@gmail.com>

    + Northern Sotho
      Pheledi <pheledi@mosekolatranslation.co.za>

    + Persian translation
      Farinaz Hedayat <farinaz.hedayat@gmail.com>

    + Serbian cyrillic
      Ivana <reci.ne.silvesteru@gmail.com> as a work in Google Code-In

    + Serbian latin
      Ivana <reci.ne.silvesteru@gmail.com> as a work in Google Code-In

    + Songhay
      Mohomodou Houssouba <mh@bollag-areal.ch>

    + Valencian
      Pilar Embid Giner <embid_mar@gva.es>

    + Venetian language
      Fabio Lazarin, El Galepìn <mistro@elgalepin.com>

    * Zulu language
      abel <sedric@translate.org.za>

  * Localization updates
    + Arabic
      Mohammed <ab.kareem026@gmail.com>

    + Basque
      Ander Elortondo <ander.elor@gmail.com>

    + Belarusian
      Mikhail Melnik
      Descriptive sounds by Kseniya Buraya

    + Czech
      Zdeněk Chalupský <chalzd@gmail.com>

    + Danish translation
      Joe Dalton <joedalton2@yahoo.dk>

    + Danish descriptive sounds
      Joe Dalton <joedalton2@yahoo.dk>

    + Finnish translation
      Olli <ollinpostit@gmail.com>
      Tarmo Toikkanen <tarmo.toikkanen@iki.fi>

    + German translation
      Stephanie Schilling <stephanieschilling@online.de>

    + Greek descriptive sounds
      Kiriaki SERAFEIM <pse04178@rhodes.aegean.gr>

    + Gujarati translation
      Kartik Mistry <kartik.mistry@gmail.com>

    + Hungarian translation
      Nagy Akos <nagy.akos@codespring.ro>

    + Italian translation
      Flavio "Ironbishop" Pastore <ironbishop@fsfe.org>
      Marco Masucci <marcomasucci@liberainformatica.it>

    + Malayalam translation
      Haris Ibrahim K. V. <blucalvin@gmail.com>

    + Portuguese translation
      Sergio Marques <smarquespt@gmail.com>

    + Russian translation
      Nikolay Parukhin <parukhin@gmail.com>

    + Scottish gaelic
      GunChleoc <fios@foramnagaidhlig.net>
      Michael Bauer<fios@akerbeltz.org>

    + Slovak translation
      Jaroslav Rynik <jrynik@yahoo.co.uk>

    + Spanish translation
      Teresa Orive <teresa.g.orive@gmail.com>
      Lantz Gomez de Segura <lantzgs@yahoo.com>
      Descriptive sounds Estefanía Ortiz

    + Swedish translation
      Henrik Holst <henrik.holst@millistream.com>

    + Swahili
      qleeph <caargwings@gmail.com>

    + Vietnamese translation
      Clytie Siddall <clytie@riverland.net.au>

    + Descriptive sounds for numbers
      From Schoolsplay <http://www.schoolsplay.org/>
      Curated and prepared for Tux Paint
      by Caroline Ford <caroline.ford.work@googlemail.com>.

      + Bulgarian
      + German
      + Italian
      + Lithuanian: Andrius, Jurkus <bwolas@gmail.com>
      + Norwegian Bokmal
      + Portugeuse
      + Romanian
      + Russian
      + Slovene
      + Swedish

    + Descriptive sounds by GCI students

      + Belarussian: Ksenya Buraya
      + Bulgarian:   Krasimir Petkov
      + French:      PaulK
      + Romanian:    Tabbytha
      + Rusian:      Edwin Veber


2009.June.28
  * New Stamps
      + plants/trees/holm_oak
      + plants/mushrooms/cep*
      + animals/mammals/rodents/rabbit-2
        License Gnu/GPL v2 or high
        Pere Pujal i Carabantes <pere@fornol.no-ip.org>

      + sports/cartoon/volleyball
        Wingsze Seaman <wingsze.seaman@gmail.com>

      + medical/bandage_adhesive

  * New localizations
    + Shuswap (Secwepemctín) translation
      Neskie Manuel <neskiem@gmail.com>

    + Greek descriptive sounds
      Serafeim Kyriaki <pse04178@rhodes.aegean.gr>

  * Localization updates
    + Asturian
      Xandru Armesto <alarmes@wanadoo.es>

    + Basque
      Juan Irigoien <juanirigoien@gmail.com>

    + Brazilian Portuguese translation
      Frederico Goncalves Guimaraes <frederico@teia.bio.br>

    + Brazilian Portuguese descriptive sounds
      (butterfly and numerous food items)
      Recorded by various Brazilian school children.
      Contributed by Ana Cristina <a9fm@yahoo.com>

    + British English descriptive sounds for numbers and letters
      John Arundel <john@splange.f2s.com>

    + Catalan translation
      Pere Pujal i Carabantes <pere@fornol.no-ip.org>

    + Chinese (Simplified) translation
      Huang Zuzhen <zuzhenhuang@vip.sina.com>

    + Chinese (Traditional) translation
      Song Huang <songhuang.tw@gmail.com>

    + Danish translation
      Joe Dalton <joedalton2@yahoo.dk>

    + French translation
      Jacques Chion <jacques.chion@wanadoo.fr>

    + Georgian translation
      Gia Shervashidze <giasher@gmail.com>

    + Greek translation
      Serafeim Kyriaki <pse04178@rhodes.aegean.gr>

    + Hebrew translation
      Jorge Mariano <jmariano@ymail.com>

    + Italian translation
      Simona Riva <simona.riva@tiscali.it>

    + Portuguese translation
      Sergio Marques <smarquespt@gmail.com>

    + Russian translation
      Sergei Popov <skein@rambler.ru>
      Nikolay Parukhin <parukhin@gmail.com>

    + Slovak translation
      Jaroslav Rynik <jrynik@yahoo.co.uk>

    * Slovenian translation
      Matej Urban <matej.urban@gmail.com>

    + Spanish translation
      Gabriel Gazzan <gabcorreo@gmail.com>

    + Swedish translation
      Daniel Nylander <po@danielnylander.se>

    + Ukrainian translation
      Serhij Dubyk <serhijdubyk@gmail.com>
 
  * Stamp updates
    + double decker bus fixed by Davo Smith <tuxpaint@davosmith.co.uk>

    + Chicken was mislabeled a turkey.
      (from Mudchute Park and Farm, England)

2008.June.27
  * New Stamps
    + vehicles/construction/dumper
    + animals/mammals/bovines/gnu*
    + animals/amphibians/frog-1
    + animals/insects/mantis
    + animals/mammals/bears/european-bear
    + plants/trees/birch
    + plants/thyme
      License Gnu/GPL v2 or high
      Pere Pujal i Carabantes <pere@fornol.no-ip.org>

    + vehicles/emergency/firetruck
      Engine 28 of Palm Beach County Fire-Rescue
      Source: http://en.wikipedia.org/wiki/Image:E28_b.JPG
      Photo by Aaron M. Lang (Wikipedia user "LangAM") <Aaron.lang@fbcrpb.com>
      License: Creative Commons Attribution 2.5 License
      Prepared for Tux Paint by Bill Kendrick

      Sound "doppler_honk"
      From Fonogeno <http://www.fonogeno.com/> sound collection
      By Giuseppe Mangione <gm@fonogeno.com>, (c) 2006
      License: Creative Commons Sampling Plus 1.0
      http://creativecommons.org/licenses/sampling+/1.0/
      (Found via The Freesound Project:
      http://freesound.iua.upf.edu/samplesViewSingle.php?id=24348 )
      Prepared for Tux Paint by Bill Kendrick
      /* FIXME non-free - needs replacing/deleting */

    + food/vegetables/corn
      Converted my photo of yellow corn to PNG.
      by Steve Karg <steve@kargs.net>
      
    + seasonal/shamrock.svg
      based on OpenClipArt shamrock.svg)
      by Steve Karg <steve@kargs.net>

    + seasonal/christmas
      - candy_cane_photo_1
      - candy_cane_photo_2
           Both from http://commons.wikimedia.org/wiki/Image:Candy_canes.png 
           by Kathleen French. License: public domain
      - Christmas_pudding
           From http://commons.wikimedia.org/wiki/Image:Christmas_pudding.JPG 
           by Musical Linguist at Wikipedia. License: GFDL
      - Christmas_Tree_photo
           From http://commons.wikimedia.org/wiki/Image:Arbol_Navidad_01.jpg 
           Author:Jorge Barrios. License: Public Domain
      - German_Christmas_toy
           From http://commons.wikimedia.org/wiki/Image:R%C3%A4ucherm%C3%A4nnchen.jpg
           by André Karwath. License: Creative Commons CC-BY-SA
      - Mince_Pie
           From http://commons.wikimedia.org/wiki/Image:Mince_Pie_PICT6877a.jpg
           by Jmb at Wikipedia. License: Creative Commons CC-BY-2.5
      - Roast_turkey
           From http://commons.wikimedia.org/wiki/Image:Thanksgiving_Turkey.jpg 
           by Patrick Fitzgerald. License: Creative Commons CC-BY-2.0

    + household
      - Lightbulb
        From http://commons.wikimedia.org/wiki/Image:Gluehlampe_01_KMJ.png
        by KMJ at Wikipedia, alpha masking by Edokter at Wikipedia. License: GFDL

    + food/fruit
      - Apricot_whole
        From http://commons.wikimedia.org/wiki/Image:Apricot_whole444.jpg
        by Benjamint444 at Wikipedia. License: GFDL
      - Cherry_Stella
        From http://commons.wikimedia.org/wiki/Image:Cherry_Stella444.jpg
        by Benjamint444 at Wikipedia. License: GFDL
      - Strawberry2
         From http://commons.wikimedia.org/wiki/Image:Strawberry444.jpg
         by Benjamint444 at Wikipedia. License: GFDL

    + animals/insects
      - Woodlouse
        From http://commons.wikimedia.org/wiki/Image:Woodlouse_2007-1.jpg
        by Joaquim Alves Gaspar License:GFDL
      - Brown slug
        From http://commons.wikimedia.org/wiki/Image:Brown_snail.jpg
        by Guttorm Flatabø. License: GFDL or CC-BY-SA 2.5
      All prepared in the Gimp by
      Caroline Ford <caroline.ford.work@googlemail.com>.
   
    + New Stamps from OpenClipart.org
      - clothes/sunglasses_01.svg
      - clothes/t-shirt_01.svg
      - vehicles/construction/cartoon/forklift.svg
      - seasonal/balloon.svg
      - seasonal/clover.svg (renamed from OpenClipart shamrock.svg)
      - household/vacuum_cleaner.svg
      - household/padlock_open.svg
      - household/padlock_closed.svg
      - town/houses/cartoon/lighthouse.svg
      - animals/insects/cartoon/spider.svg
      - animals/insects/cartoon/spider2.svg
      - animals/insects/cartoon/ant.svg
      - plants/toadstool.svg
      - hobbies/knitting.svg
      - people/cartoon/scarecrow.svg
      - people/cartoon/woman_dancing.svg
      - people/cartoon/woman_doctor.svg
      - people/cartoon/woman_nurse.svg
      - people/cartoon/woman_police_officer_1.svg
      - people/cartoon/woman_police_officer_2.svg
      - people/cartoon/woman_chemist.svg
      - household/dishes/expresso.svg
      - clothes/sunglasses_02.svg made from sunglasses_01.svg
      Fetched by Caroline Ford <caroline.ford.work@googlemail.com>.

    + town/cartoon/
      - docks
      - fountain
      - gate
      - mine
      - ruins
      - shipwreck
      - watch_tower
      - wishing_well
    + town/monuments/cartoon/
      - graveyard
      - magic_stones
      - obelisk
      - pyramid
      - statue
      - sword_in_the_stone
      - totem
    + town/houses/cartoon/
      - blacksmith
      - cathedral
      - cave_entrance
      - circus
      - city
      - farm
      - fishery
      - fortress
      - fort
      - hunter
      - inn
      - jailhouse
      - medieval_tent
      - monastery
      - stables
      - tavern
      - tent
      - tower_flag_red
      - tower_round_flag
      - tower_round
      - tower_square
      - townhall
      - university
      - warehouse
      - windmill
      From RPG (Role Playing Game) SVG tile set from Nicu Buculei
      Public domain + received written permission to include in TuxPaint.
      http://nicubunu.blogspot.com/2008/01/quest-complete-rpg-map-tileset.html
      Optimized the PNG files using pngcrush after converting from SVG by:
      Steve Karg <steve@kargs.net>
  
    + New Stamps, imported from Childsplay <http://childsplay.sf.net/>
      (GPL'd, copyright 2002-2005 Stas Zytkiewicz, <childsplay@users.sf.net>.
      Adapted to use for Tux Paint by
      Pere Pujal i Carabantes <pere@fornol.no-ip.org>.)
      - animals/birds/pigeon
      - animals/mammals/wildboar
      - animals/mammals/bovines/zebu
      - animals/mammals/deer/wapiti
      - animals/mammals/rodents/rat

  * Updated Stamps
      + animals/amphibians/frog.png
      + animals/birds/blackbird.png
      + animals/birds/crow.png
      + animals/birds/cuckoo.png
      + animals/birds/duck.png
      + animals/birds/gander.png
      + animals/birds/lark.png
      + animals/birds/nandou.png
      + animals/birds/owl.png
      + animals/birds/penguin.png
      + animals/birds/quetzal.png
      + animals/birds/seagull.png
      + animals/birds/tucan.png
      + animals/birds/turkey.png
      + animals/birds/vulture.png
      + animals/insects/bee.png
      + animals/insects/fly.png
      + animals/insects/grasshopper.png
      + animals/insects/hornet.png
      + animals/insects/xanthia.png
      + animals/lizards/iguana.png
      + animals/mammals/apes/chimp.png
      + animals/mammals/apes/gorilla.png
      + animals/mammals/aquatic/dolphin.png
      + animals/mammals/aquatic/orca.png
      + animals/mammals/aquatic/sea_lion.png
      + animals/mammals/aquatic/whale.png
      + animals/mammals/badger.png
      + animals/mammals/bears/bear.png
      + animals/mammals/bovines/bison.png
      + animals/mammals/bovines/bull.png
      + animals/mammals/bovines/cow.png
      + animals/mammals/bovines/goat.png
      + animals/mammals/bovines/mountaingoat.png
      + animals/mammals/bovines/ram.png
      + animals/mammals/bovines/yak.png
      + animals/mammals/camel/camel.png
      + animals/mammals/camel/dromedary.png
      + animals/mammals/cats/lion.png
      + animals/mammals/cats/tiger.png
      + animals/mammals/deer/caribou.png
      + animals/mammals/deer/deer.png
      + animals/mammals/deer/doe.png
      + animals/mammals/dogs/dog.png
      + animals/mammals/dogs/fox.png
      + animals/mammals/elephant.png
      + animals/mammals/equines/donkey.png
      + animals/mammals/equines/horse.png
      + animals/mammals/equines/zebra.png
      + animals/mammals/ferret.png
      + animals/mammals/hippopotamus.png
      + animals/mammals/pig.png
      + animals/mammals/rodents/beaver.png
      + animals/mammals/rodents/marmot.png
      + animals/mammals/rodents/mouse.png
      + animals/mammals/rodents/rabbit.png
      + animals/mammals/rodents/squirrel.png
      + animals/marsupials/koala.png
      + animals/marsupials/wombat.png
      Pere Pujal i Carabantes <pere@fornol.no-ip.org>

  * New Localizations:
    + Asturian
      Xandru Armesto <xandru@armesto.eu>

  * Localization updates:
    + Fixed "txt2pot" Python script so that TXT that didn't end in newline
      wouldn't end up losing the last char. of the last translated description.
      Pere Pujal i Carabantes <pere@fornol.no-ip.org>

    + Using proper case in PO filenames (e.g.,
      tuxpaint-stamps-zh_TW.po instead of tuxpaint-stamps-zh_tw.po)
      to match changes made to 'tuxpaint'
      (done to solve MO installation problem caused by
      tuxpaint Makefile simplification)

    + Afrikaans translations
      Piet Pompies <bill@gates.org>

    + British English
    
    + Catalan
      Pere Pujal i Carabantes <pere@fornol.no-ip.org>

    + Danish
      Rasmus Ljungmann Pedersen <rasmuslp@gmail.com>
      Joe Dalton <joedalton2@yahoo.dk>

    + French
      Jacques Chion <jacques.chion@wanadoo.fr>

    + German
      Burkhard L�ck <lueck@hube-lueck.de>

    + Italian
      Simona Riva <simona.riva@tiscali.it>

    + Japanese
      TOYAMA Shin-ichi <dolphin6k@wmail.plala.or.jp>

    + Khmer
      Khoem Sokhem <khoemsokhem@khmeros.info>
      Auk Piseth <piseth_dv@khmeros.info>

    + Spanish translaitons
      Gabriel Gazzan <ggabriel@internet.com.uy>

    + Ukrainian
      Serhij Dubyk <serhijdubyk@gmail.com>


2008.February.27
  * New Stamps
    + F22 Raptor Jet
      Original photo from Wikipedia Commons:
      http://commons.wikimedia.org/wiki/Image:Two_F-22A_Raptor_in_column_flight.jpg
      U.S. Air Force photo by TSgt Ben Bloker
      Cleaned up, scaled, and exported to PNG by:
      Steve Karg <steve@kargs.net>

    + Fruit
      - Seville orange
      - Kiwifruit
      - Cherimoya fruit
      - Avocado

    + Spices (new food subcategory)
      - Ginger

    + Anemone flower

  * Updated Stamps
    + American Sign Language "T"
      (Same credits for original art as other ASL, but re-processed by Bill K.)

    + Many, many PNG stamps optimized to save disk space.
      (Ran PNGOUT on the entire collection.)

  * New Localizations:
    + Albanian
      Ajri M. Shej, Canonical Ltd, and Rosetta Contributors
      via Caroline Ford <caroline.ford.work@googlemail.com>

    + Australian English
      Chris Goerner, Canonical Ltd, and Rosetta Contributors
      via Caroline Ford <caroline.ford.work@googlemail.com>

    + Khmer
      Khoem Sokhem <khoemsokhem@khmeros.info>

    + Kurdish
      Erdal Ronahi, El�xanLora, Canonical Ltd, and Rosetta Contributors
      via Caroline Ford <caroline.ford.work@googlemail.com>
 
    + Macedonian
      fly_man, Canonical Ltd, and Rosetta Contributors
      via Caroline Ford <caroline.ford.work@googlemail.com>

    + Occitan
      Yannig MARCHEGAY (Kokoyaya), Canonical Ltd, and Rosetta Contributors
      via Caroline Ford <caroline.ford.work@googlemail.com>

  * Localization Updates:
    + British English
      Caroline Ford <caroline.ford.work@googlemail.com>

    + Danish translations
      Joe Hansen <joedalton2@yahoo.dk>

    + French translations
      Jacques Chion <jacques.chion@wanadoo.fr>

    + Gujarati translation
      Kartik Mistry <kartik.mistry@gmail.com>

    + Slovak
      Martin, Canonical Ltd, and Rosetta Contributors
      via Caroline Ford <caroline.ford.work@googlemail.com>

    + Swedish translations
      Henrik Holst <henrik.holst@ecovision.se>

    + Russian translation
      Sergei Popov <skein@rambler.ru>

2007.November.21
  * New Stamps
    + American Sign Language
      Based on http://en.wikipedia.org/wiki/Image:Asl_alphabet_gallaudet.png
      Public Domain by Wikipedia user 'Ds13'.
      Original traced in Inkscape, enlarged, and exported to PNG, and
      released to the Public Domain by:
      Caroline Ford <caroline.ford.work@googlemail.com>

    + Inukshuk (outline)
      Ed Montgomery <edm@rocketmail.com>

    + Inukshuk (photo)
      Ansgar Walk
      (c) 1996, Creative Commons Attribution ShareAlike 2.5 License.
      http://en.wikipedia.org/wiki/Image:Inunnguaq_Rankin_Inlet_1996-07-18.jpg

  * Updated Stamps
    + Japanese yen
      Ed Montgomery <edmontgomery@hotmail.com>

  * Localization Updates:
    + Afrikaans translations
      Petri Jooste <petri.jooste@nwu.ac.za>

    + British English translations
      Caroline Ford <caroline.ford.work@googlemail.com>

    + Catalan translations
      Pere Pujal i Carabantes <pere@fornol.no-ip.org>

    + Chinese (Traditional)
      Song Huang <songhuang.tw@gmail.com>

    + French translations
      Jacques Chion <jacques.chion@wanadoo.fr>

    + French description sounds
      Jacques Chion <jacques.chion@wanadoo.fr>

    + German translations
      Burkhard L�ck <lueck@hube-lueck.de>

    + Spanish translaitons
      Gabriel Gazzan <ggabriel@internet.com.uy>

  * Packaging and porting updates:
    + Mac OS X now has "Remove Stamps" functionality.
      Installer now displays the installed version numbers/dates for
      current user and all users.
      Martin Fuhrer <mfuhrer@users.sourceforge.net>


2007.July.1
  * New Stamps by Steve Karg <steve@kargs.net>
    + Broccoli
    + Speech Balloon
    + Thought Balloon
    + Scream Balloon
    + Cartoon raspberry
    + Cartoon peach
    + Cartoon blueberry

  * New Stamps, imported from Childsplay <http://childsplay.sf.net/>
    (GPL'd, copyright 2002-2005 Stas Zytkiewicz, <childsplay@users.sf.net>.
    Adapted to use for Tux Paint by
    Pere Pujal i Carabantes <pere@fornol.no-ip.org>.)
    + Badger
    + Bear
    + Beaver
    + Bee
    + Bison
    + Blackbird
    + Bull
    + Camel
    + Caribou
    + Chimp
    + Cow
    + Crow
    + Cuckoo
    + Deer
    + Doe
    + Dog
    + Dolphin
    + Donkey
    + Dromedary
    + Duck
    + Elephant
    + Ferret
    + Fly
    + Fox
    + Frog
    + Gander
    + Giraffe
    + Goat
    + Gorilla
    + Grasshopper
    + Hen
    + Hippopotamus
    + Hornet
    + Horse
    + Iguana
    + Kangaroo
    + Koala
    + Lark
    + Lion
    + Marmot
    + Mountain Goat
    + Mouse
    + Nandou
    + Orca
    + Owl
    + Penguin
    + Pig
    + Quetzal
    + Rabbit
    + Ram
    + Rooster
    + Seagull
    + Sea Lion
    + Squirrel
    + Tiger
    + Tucan
    + Turkey
    + Vulture
    + Whale
    + Wombat
    + Xanthia
    + Yak
    + Zebra

  * New Stamps from Caroline Ford <caroline.ford.work@googlemail.com>
    + Kettle
    + Wheelie Bin (garbage bin)
    + Highlighter pen
    + Mug
    + UK Post Box
    + Dead-End sign
    + Give-Way sign
    + Roundabout sign
    + School sign
    + Recycle symbol
    + Beetle (VW Bug)
    + Double Decker Bus
    + Tricycle
    + Naval ammunition shell
    + WWII German Gun
    + Holly Leaves
    + Home Compost Bin
    + Alphabets (outlined/filled, uppercase/lowercase)
      (Deja Sans font)
      - English
      - German
        (Sounds from http://commons.wikimedia.org/wiki/Image:German_alphabet.ogg
        License:GFDL)
      - Spanish
    + Animals from Mudchute Park and Farm, England
      - Drake (sound effect)
      - Hen (sound effect)
      - Turkey (profile)
      - Cow (white)
      - Donkey
      - Sheep
      - Rabbit
      - Baby sheep (lamb)
      - Golden pig (1 & 2)

  * New Stamps from Wikipedia, prepared by
    Caroline Ford <caroline.ford.work@googlemail.com>
    + Australian Rules Football
    + Basketball
    + Cricket ball
    + Tennis ball
    + Tennis racket
    + Bassoon
    + Cello
    + Classical guitar
    + Crash cymbal
    + Drum kit
    + Electric bass guitar
    + Electric guitar
    + Floor tom
    + Trumpet
    + Violin
    + Apricot
    + Watermelon (cartoon)
    + Traffic cone

  * New Stamps from Ed Monty <edmonty@gmail.com>
    + Japanese yen

  * New Stamp from "pixie quix" <pixiequix@gmail.com>
    + Pluto

  * New Stamps from Akkana Peck <akkana@shallowsky.com>
    + Flowers (1 through 10)
      FIXME: Need to rename them and describe them.

  * New translations
    + Czech
      Václav Čermák <vaclav.cermak@gmail.com>

    + Latvian  (NEEDS FIXING)
      Raivis Strogonovs <raivucis@gmail.com>

    + Thai
      Ouychai Chaita <ae.freeman@gmail.com>

  * Updated translations:
    + English clean-ups
      Terry Pinyerd

    + Basque
      Juan Irigoien <juanirigoien@gmail.com>

    + British English
      Caroline Ford <caroline.ford.work@googlemail.com>

    + French
      Jacques Chion <jacques.chion@wanadoo.fr>

    + Gujarati
      Kartik Mistry <kartik.mistry@gmail.com>

    + Japanese
      TOYAMA Shin-ichi <dolphin6k@wmail.plala.or.jp>

    + Russian
      Sergei Popov <skein@rambler.ru>
    
    + Spanish
      Gabriel Gazzan <ggabriel@internet.com.uy>

  * Documentation improvements:
    + Numerous ideas added to To-Do list
      Caroline Ford <caroline.ford.work@googlemail.com>

  * Build- and release-related improvements:
    + Created a BASH shell script, "find_missing_desc.sh" (in "po/")
      that lists all missing ".txt" description files.

2006.October.12
  * New Stamps:
    + Memorial display for final roll call
      Albert Cahalan <albert@users.sf.net>

    + Cartoon vehicles:
      Jim Trice <jimtrice@linuxmail.org>

      * Train and train cars
      * Fire Engine
      * Terex dump truck
      * Farm tractor
      * Plane
      * Submarine
        [Sound from Wikipedia Commons, licensed under the
	GNU Free Documentation License, version 1.2;
	http://en.wikipedia.org/wiki/Image:Sonar_pings.ogg]

    + Cartoon dishes:
      Jim Trice <jimtrice@linuxmail.org>
      
      * Pressure cooker
      * Pasta pot

    + Cartoon football helmets
      Jim Trice <jimtrice@linuxmail.org>
    
    + Cartoon knight helmet
      Jim Trice <jimtrice@linuxmail.org>

    + Chess pieces
      (From XBoard: http://tim-mann.org/xboard.html )
    
    + Toy dolls:
      Jim Trice <jimtrice@linuxmail.org>

      * Edward bear
      * Grandma's old rag doll

    + Medical:
      * Syringe
        Albert Cahalan <albert@users.sf.net>
	(From US Drug Enforcement Administration)
      
      * Stethoscope
        Public Domain, from: http://en.wikipedia.org/wiki/Image:Stethoscope.jpg

  * Stamp improvements:
    + Converted all stamp WAV files into Ogg Vorbis format (using oggenc).
      (Saved approx. 3MB of disk space.)

    + Removed unnecessary RGB values from 100% transparent pixels (for
      improved PNG compression) from numerous images.

      (Note: See the new "ADVANCED-STAMPS-HOWTO" document in the main
      Tux Paint project for details on why this was not done to ALL images!)

    * Recompressed all PNGs using "optipng."

  * New Translations:
    + Arabic
      Khalid Al Holan <alholan@gmail.com>

    + Gujarati
      Kartik Mistry <kartik.mistry@gmail.com>

    + Scottish Gaelic
      Niall Tracey <internationiall@hotmail.com>

  * Updated Translations:
    + Afrikaans
      Petri Jooste <petrijooste@yahoo.com>
    
    + Catalan
      Pere Pujal Carabantes <ppujal@airtel.net>
   
    + Chinese (Traditional)
      Song Huang <song@song.tw>
 
    + French
      Jacques Chion <Jacques.Chion@wanadoo.fr>

    + German
      Burkhard L�ck <lueck@hube-lueck.de>

    + Greek
      Sokratis Sofianopoulos <sokratis.sofianopoulos@gmail.com>

    + Japanese
      TOYAMA Shin-ichi <dolphin6k@wmail.plala.or.jp>

    + Portuguese
      Tiago Lebre <tiagolebre@gmail.com>
    
    + Spanish
      Gabriel Gazzan <ggabriel@internet.com.uy>

    + Turkish
      Doruk Fisek <dfisek@fisek.com.tr>

  * Build- and release-related improvements:
    + Created script to handle installation of one directory of stamps.

    + Moved post-install message into a shell script.

    + Created a "fix-permissions" shell script that sets all files
      in $(DATA_PREFIX)/stamps/ to '644' chmod permissions.

    + Makefile now includes numerous "make install-XYZ" targets, allowing
      for installation of only stamps that you want, based on the top-level
      of the "stamps" directory heirarchy, e.g.:

        make install-seasonal
        make install-animals

      Note: Linux packages, Mac OS X installer, and Windows ZIP and installer
      builds will need to be split into these various subcategories,
      allowing non-source users to download and install only the pieces
      they want.

    + Corrected Python po->txt conversion scripts to properly handle
      quotes in original text (e.g., 'This is "quoted"') by
      escaped quotes ('\"') within po-file msgid's, and then unescaping them
      when regenerating the txt files used by Tux Paint.

    + Created an RPM spec file for the stamps package.
      TOYAMA Shin-ichi <dolphin6k@wmail.plala.or.jp>


2005.November.25
  * Stamp Re-categorization:
    + Stamps have been re-categorized in more sensible subfolders:
      Animals, Clothes, Food, Hobbies, Household, Natural forces, People,
      Plants, Seasonal, Space, Sports, Symbols, Town and Vehicles.
    + Sub-categorization is still done (e.g., "Animals->Mammals->Cats")

  * Stamp Feature Improvements:
    + Added choice of non-default tinter to some stamps.
      Albert Cahalan <albert@users.sf.net>

    + Added stamps/auto/7spoke256.* as the first stamp with scaling.
      Albert Cahalan <albert@users.sf.net>

  * New Stamps:
    + Birds from the San Francisco Zoo:
      Bill Kendrick <bill@newbreedsoftware.com>
      
      * Albino peahen (peacock)
      * Helmeted Guineafowl
      * Magellanic penguin
      * Ostrich
      * Peacock
      * Pink Flamingo

    + Other animals from the San Francisco Zoo:
      Bill Kendrick <bill@newbreedsoftware.com>
      
      * Black Rhino
      * Capybara
      * Emperor tamarin
      * Giraffe
      * Indian Blackbuck
      * Sumatran tiger
      * Zebra
  
    + Pineapple photo stamp.
      Mike Fitzpatrick <fritz@bulletdesign.net>
      http://www.sxc.hu/browse.phtml?f=view&id=134314

    + Cartoonish fruit and Christmas tree stamps
      Nicu Buculei <nicu@apsro.com>, http://nicubunu.ro/clipart/

    + Easter-themed stamps
      Jean from DoodleLoo's <poptom@verizon.net>

    + Signs
      * Railroad crossing.
        Bill Kendrick <bill@newbreedsoftware.com>

      * Yield sign and stop signs.
        Albert Cahalan <albert@users.sf.net>

      * Traffic lights. (stop-and-go lights)
        Albert Cahalan <albert@users.sf.net>
  
    + Trees:
      Albert Cahalan <albert@users.sf.net>

      * "Alien" tree
      * Palm tree
      * Tropical nut tree
  
    + Gravestones, tombstones, headstones, etc.
      Albert Cahalan <albert@users.sf.net>

    + Hot air balloon
      Albert Cahalan <albert@users.sf.net>

    + Soccer ball and a football
      Albert Cahalan <albert@users.sf.net>

    + Firemen
      Albert Cahalan <albert@users.sf.net>

    + Fire
      Albert Cahalan <albert@users.sf.net>

    + Tanks
      Albert Cahalan <albert@users.sf.net>

    + Lightning bolt
      Albert Cahalan <albert@users.sf.net>

    + Race car
      Albert Cahalan <albert@users.sf.net>

    + Paratrooper
      Albert Cahalan <albert@users.sf.net>

    + Toilet
      Albert Cahalan <albert@users.sf.net>

    + Great big airplane
      Albert Cahalan <albert@users.sf.net>

    + Shrimp, lobster and seahorse photos to Animals/Fish.
      (Public domain.  From the United States National Oceanic & Atmospheric
      Adminstration (NOAA) library: http://www.photolib.noaa.gov/ )
  
    + Grapes, sliced orange and sliced lime stamps from:
      http://www.sxc.hu/browse.phtml?f=view&id=16742
      http://www.sxc.hu/browse.phtml?f=view&id=111664
      http://www.sxc.hu/browse.phtml?f=view&id=86046
    
    + Mandarine
      (from the Australian stamps collection)
      Chris Goerner <cgoerner@cowellas.sa.edu.au>

    + Candian coins
      Ed Montgomery <edmontgomery@hotmail.com>

    + Automobile
      Justin Zeigler <jzeigler@osef.org>

    + Chinese Junk and Walnut Sailboat
      Jim Trice <jimtrice@linuxmail.org>

    + Toy tug boat, copter, tow truck and cement mixer
      Jim Trice <jimtrice@linuxmail.org>

    + Lion doll
      Jim Trice <jimtrice@linuxmail.org>

    + "Singing dinosaur"
      Jim Trice <jimtrice@linuxmail.org>

    + Yellow flower and pigface flower.
      (from the Australian stamps collection)
      Chris Goerner <cgoerner@cowellas.sa.edu.au>

    + Australian animals:
      (from the Australian stamps collection)
      Chris Goerner <cgoerner@cowellas.sa.edu.au>

      * Abalone
      * Adelaid Rosella
      * Dingo
      * Echinda
      * Kangaroo
      * Penguin
      * Magpie
      * Murray Mussel
      * Rainbow Lorikeet
      * Silver Gull

    + Road signs:
      (from the Australian stamps collection)
      Chris Goerner <cgoerner@cowellas.sa.edu.au>
      
      * Arrow
      * Crossroads
      * Hospital
      * T-Junction
      * Toilets

  * Improved Stamps:
    + New fireworks stamps.
      Karl Ove Hufthammer <karl@huftis.org>

    + Much improved jack-o'-lantern stamp from:
      http://www.openclipart.org/

    + Lemon
      (from the Australian stamps collection)
      Chris Goerner <cgoerner@cowellas.sa.edu.au>

  * New Sound Effects:
    + Gave one of the apples a 'crunch' sound effect.

    + Gave the Halloween cat a sound effect.

    + Korean sound clips for numbers added.
      Sohyun Iris Lee (voice)
      Mark K. Kim <tuxNO_SOLICIATIONpaint-dev@cbreak.org> (merge)

    + Catalan spoken translations of all (almost all?) stamps!
      Pere Pujal Carabantes <ppujal@airtel.net>

  * Localization Improvements:
    + Changed all stamp descriptions to use UTF-8, using
      Song Huang's <Song@ossacc.org> script and much
      manual cleanup.

    + Moved to storing stamp description translations in
      PO files, with scripts to convert to and from the
      .txt files used by Tux Paint.
      Song Huang <Song@ossacc.org>

  * New Translations:
    + Serbian
      Aleksandar Jelenak <jelenak@netlinkplus.net>

    + Traditional Chinese
      Song Huang <Song@ossacc.org>

    + Dutch translation.
      Geert Stams <geertstams@wanadoo.nl>

    + Russian and Belarusian translations.
      Eugene Zelenko <greendeath@mail.ru>

    + Afrikaans
      Petri Jooste <petrijooste@yahoo.com>

    + Galician
      Leandro Regueiro <unho@gulo.org>

    + Georgian
      Gia Shervashidze <giasher@telenet.ge>

    + Italian
      Flavio 'Iron Bishop' Pastore <ironbishop <at> altervista <dot> org>

    + Korean
      Mark K. Kim <tuxNO_SOLICIATIONpaint-dev@cbreak.org>

    + Malay
      Muhammad Najmi Ahmad Zabidi <mnajem@linuxmail.org>

    + Simplified Chinese
      Wang Jian <lark@linux.net.cn>

    + Slovenian
      Urska Colner <urska.colner@agenda.si>

    + Swedish
      Henrik Holst <henrik.holst@ecovision.se>

    + Turkish
      Doruk Fisek <dfisek@fisek.com.tr>

    + Ukrainian
      Serhij Dubyk <dubyk@ukr.net>
  
    + Welsh
      Kevin Donnelly <kevin@dotmon.com>

  * Updated Translations:
    + Brazilian Portuguese
      Daniel Jose Viana <danjovic@vespanet.com.br>

    + Catalan
      Pere Pujal Carabantes <ppujal@airtel.net>

    + Danish
      Mogens J�ger <mogensjaeger@get2net.dk>

    + Finnish
      Tarmo Toikkanen <tarmo.toikkanen@iki.fi>

    + French
      Jacques Chion <Jacques.Chion@wanadoo.fr>

    + German
      Daniel Herding <DHerding@gmx.de>
      Burkhard L�ck <lueck@hube-lueck.de>

    + Hungarian
      T�r�k G�bor <gabo@linuxportal.hu>

    + Icelandic translation updates.
      Pjetur G. Hjaltason <pjetur@pjetur.net>

    + Japanese
      TOYAMA Shin-ichi <dolphin6k@wmail.plala.or.jp>
    
    + Norwegian Bokmal
      Klaus Ade Johnstad <klaus@skolelinux.no>

    + Portuguese (Portugal)
      Ricardo Cruz <rick2@aeiu.pt>

    + Spanish
      Gabriel Gazzan <ggabriel@internet.com.uy>

    + Tamil
      Muguntharaj <mugunth@thamizha.com>

  * Build- and release-related improvements:
    + Added InnoSetup script (for Windows installer) to match the one for
      'Tux Paint'. (Only tested for 'all users' so far.)
      John Popplewell <john@johnnypops.demon.co.uk>
  
    + Added new directory 'win32' containing script for the NSIS installer, 
      with custom icon and Python support script.
      John Popplewell <john@johnnypops.demon.co.uk>

    + Added "make uninstall" target.

    + Added "make release" target, to build tarball.

  * Miscellaneous Improvements:
    + Ran stamps/misc/symbols/shapes/star.png through pngcrush to fix
      corruption.
      Albert Cahalan <albert@users.sf.net>


2003.December.23
  * Norwegian Bokmal translations.
    Dag H. Loras <dag.loraas@operamail.com>

  * Basque translations.
    Juan Irigoien <juanirigoien@irakasle.net>

  * Lithuanian translations.
    Mantas Kriauciunas <monte@mail.lt>,
    Rita Verbauskaite <verba@centras.lt>

  * Polish translations
    Robert Glowczynski <robertg@software.com.pl>

  * Norwegian Nynorsk translation updates.
    Karl Ove Hufthammer <karl@huftis.org>

  * French translation updates.
    Jacques Chion <Jacques.Chion@wanadoo.fr>

  * Dutch sounds for numbers.
    Sanne Stams (9 years old), daughter of
    Geert Stams <geertstams@wanadoo.nl>

  * Made many stamps un-flippable and/or un-mirrorable.

  * Mirrored some stamps (e.g., some fish and birds) to make them
    left-to-right by default.

  * Christmas and Hanukkah holiday stamps added.
    Justin Zeigler <jzeigler@osef.org>
    Pete Salzman <p@dirac.org>

  * New Year's stamps added.

  * Created some cartoon bugs (lady bug, butterfly, snail, dragonfly)

  * Removed Tux stamps.  Moved them to core Tux Paint package.


2003.February.22
  * Japanese sounds for the number stamps.
    TOYAMA Shin-ichi <dolphin6k@wmail.plala.or.jp>

  * Greek sounds for the number stamps.
    The Greek Linux i18n Team <i18ngr@lists.hellug.gr>

  * Greek translations.
    The Greek Linux i18n Team <i18ngr@lists.hellug.gr>

  * Documentation translated to Greek (README.txt, COPYING.txt,
    CONTRIBUTORS.txt)
    The Greek Linux i18n Team <i18ngr@lists.hellug.gr>

  * Japanese translation corrections.
    TOYAMA Shin-ichi <dolphin6k@wmail.plala.or.jp>

  * Norwegian Nynorsk translation updates.
    Karl Ove Hufthammer <karl@huftis.org>

  * British English 'translations.'
    Karl Ove Hufthammer <karl@huftis.org>


2003.January.28
  * Japanese translations.
    TOYAMA Shin-ichi <dolphin6k@wmail.plala.or.jp>

  * Finnish translations.
    Tarmo Toikkanen <tarmo.toikkanen@iki.fi>

  * Nicer sounding spanish sounds for number stamps.
    Gabriel Gazzan <ggabriel@internet.com.uy>
    (His son did the sounds)

  * Spanish translation updates.
    Gabriel Gazzan <ggabriel@internet.com.uy>

  * Spanish documentation updates.
    Gabriel Gazzan <ggabriel@internet.com.uy>

  * Made Makefile even less verbose.

  * Gave sound effects to more stamps:
    Camera, Saw, Rooster, Checkered Flag, Mallet


2002.December.3
  * British English 'translations.'
    Karl Ove Hufthammer <karl@huftis.org>

  * Norwegian translation updates.
    Karl Ove Hufthammer <karl@huftis.org>

  * French translation updates.
    Jacques Chion <Jacques.Chion@wanadoo.fr>

  * Brazilian Portuguese translation updates.
    Daniel Jose Viana <danjovic@vespanet.com.br>
  
  * German translation updates.
    Ingo Blechschmidt <iblech@web.de>


2002.November.12
  * Using a new set of Euro coin images.  (Have correct ratios)
    John O'Sullivan <johno@freesoftwaresolutions.com>

  * French translation updates.
    Jacques Chion <Jacques.Chion@wanadoo.fr>

  * Created 'Animals' category with 'Birds' and 'Fish' subcategories.

  * Added Drake, Guineafowl, Hen and Rooster to 'Birds'
    John O'Sullivan <johno@freesoftwaresolutions.com>

  * Added Blue Groper, Butterfly Fish, Clown Fish, Coral Trout,
    Dolphin Fish, Lion Fish, Moon Wrasse and Striped Fish to 'Fish'
    John O'Sullivan <johno@freesoftwaresolutions.com>


2002.November.3
  * Spanish translation updates.
    Gabriel Gazzan <ggabriel@internet.com.uy>

  * Updated Spanish documentation (docs/es/)
    Gabriel Gazzan <ggabriel@internet.com.uy>

  * French translation updates.
    Jacques Chion <Jacques.Chion@wanadoo.fr>

  * Hungarian translation.
    T�r�k G�bor <gabo@linuxmania.hu>

  * Hungarian README (doscs/hu/OLVASSEL.txt)
    T�r�k G�bor <gabo@linuxmania.hu>

  * Norwegian translation updates.
    Karl Ove Hufthammer <karl@huftis.org>

  * Described some undescribed stamps.
    Karl Ove Hufthammer <karl@huftis.org>


2002.October.26
  * Norwegian translation updates.
    Karl Ove Hufthammer <karl@huftis.org>

  * French translation updates.
    Jacques Chion <Jacques.Chion@wanadoo.fr>

  * Added hand stamp to 'Shapes.'

  * Added 'Sacagawea' coin to 'US Coins.'

  * Added squeaky sound for 'Rubber Duck' stamp.

  * Created 'Nuts' category under food.

  * Moved Walnut from 'Fruit' to 'Nuts.'

  * Added (shell-less) Pecan, Walnut and Almond to 'Nuts.'

  * Updated README.txt.


2002.October.16
  * Norwegian translation updates.
    Karl Ove Hufthammer <karl@huftis.org>

  * Added new fruit stamps:  Mango, Pear, Pomegranate, Strawberry, Walnut
    (Thanks to Jen and Ed Collins, Santa Rosa, California.)

  * Created 'food/utensils' category.

  * Added Pepper Grinder and Nutcracker to 'Utensils.'
    (Collins)

  * Created 'tools' category.

  * Added Hammer, Plyers, Saw, Wrenches (normal, plumbers and adjustable),
    Paintbrush, Measuring Tape, Mallet and Toolbox to 'Tools.'
    (Collins)

  * Created 'food/dishes' category.

  * Added Small Pitcher to 'Dishes.'
    (Collins)

  * Created 'signs' category, and 'roadsigns' subcategory.

  * Added "No U-Turn", "Ped. Xing" and "School Xing" to 'Roadsigns.'

  * Created 'plants/trees' category.

  * Added "Pinecone" to 'Trees.'

  * Moved 'Flags' from 'Photos' to 'Misc.'

  * Created 'arttools' category.

  * Added 'Dry Erase Marker' and 'Scissors' (open and closed) to 'Art Tools.'

  * Added a number of other stamps which need to be sorted:
    Binoculars, a Camera, Clothespin (old and new styles), a Key,
    a Rubber Duck, a Trophy and a USPS Mailbox.


2002.October.9
  * Added Fuji Apple, Granny Smith Apple and Sierra Beauty Apple to fruit.
    (Coco Ranch)

  * Added "Pattypan" Squash to vegetables.
    (Coco Ranch)

  * Translated more stamp descriptions to German.
    Ingo Blechschmidt <iblech@web.de>

  * Numerals spoken in French.
    Jacques Chion <Jacques.Chion@wanadoo.fr>

  * Stamp descriptions translated to Brazilian Portuguese.
    Daniel Jose Viana <danjovic@vespanet.com.br>


2002.October.6
  * Added chile pepper, eggplant, garlic bundle, pumpkin, red lettuce and
    yellow pepper to vegetables.
    Thanks to Coco Ranch Farmers Market - http://www.cocoranch.com/
    Vegetables grown by Towani Organic Farm, Bangor, California.

  * Added lemon to fruit.  (Coco Ranch)

  * Created 'household' category under 'photos.'

  * Added trashcan and teapot to household.  (Coco Ranch)

  * Added mini-pumpkin to vegetables.

  * Added banana to fruit.

  * Created "docs/CONTRIBUTORS.txt" document.


2002.September.29
  * Norwegian math sounds.
    Karl Ove Hufthammer <karl@huftis.org>

  * Updated French translations.
    Jacques Chion <Jacques.Chion@wanadoo.fr>

  * Translated documentation to French.
    Jacques Chion <Jacques.Chion@wanadoo.fr>

  * Added Euro coins to money collection.  (Removed empty directories for now.)
    Jacques Chion <Jacques.Chion@wanadoo.fr>

  * Created some happy-face stamps.

  * Created some Halloween stamps.

  * Created some more symbols (heart, star, paw-print).

  * Added sound (edited to remove silence) of Neil Armstrong's famous
    moon landing speech for Apollo stamp.


2002.September.26
  * Translated to Danish.
    Rasmus Erik Voel Jensen <rasmus@solsort.dk>

  * Updated README.txt some.


2002.September.25
  * Norwegian update.
    Karl Ove Hufthammer <karl@huftis.org>


2002.September.24
  * Translated stamp descriptions to Icelandic.
    Pjetur G. Hjaltason <pjetur@pjetur.net>


2002.September.22
  * Translated README.txt to Spanish.
    Gabriel Gazzan <ggabriel@internet.com.uy>

  * Updated Spanish translations.
    Gabriel Gazzan <ggabriel@internet.com.uy>

  * Updated Norwegian translations.
    Karl Ove Hufthammer <karl@huftis.org>

  * Added a raspberry stamp.


2002.September.20
  * Updated French translations.
    Jacques Chion <Jacques.Chion@wanadoo.fr>


2002.September.12
  * Updated Spanish translations.
    Gabriel Gazzan <ggabriel@internet.com.uy>


2002.September.10
  * Updated Spanish translations.
    Gabriel Gazzan <ggabriel@internet.com.uy>

  * Updated Norwegian translations.
    Karl Ove Hufthammer <karl@huftis.org>


2002.September.8
  * Updated Norwegian translations.
    Karl Ove Hufthammer <karl@huftis.org>

  * Updated Makefile to warn if Tux Paint doesn't appear to be installed
    ("tuxpaint" not in your PATH)

  * Updated Makefile with a dummy 'clean' target (just a niceity)

  * Moved "stamp ideas" from main Tux Paint package's to-do list to stamps'.

  * Added "onion", "garlic", and "yam" to 'photos/food/vegetables'

  * Added red and green "apple" and an "orange" to 'photos/food/fruit'


2002.September.6
  * Initial separation from the main Tux Paint package.
